import { Command, CommandProps } from '@mobicoop/ddd-library';
import { Username } from '../../types/username';

export class AddUsernameCommand extends Command {
  readonly userId: string;
  readonly username: Username;

  constructor(props: CommandProps<AddUsernameCommand>) {
    super(props);
    this.userId = props.userId;
    this.username = props.username;
  }
}
