import { Command, CommandProps } from '@mobicoop/ddd-library';
import { Username } from '../../types/username';

export class CreateAuthenticationCommand extends Command {
  readonly userId: string;
  readonly password: string;
  readonly usernames: Username[];

  constructor(props: CommandProps<CreateAuthenticationCommand>) {
    super(props);
    this.userId = props.userId;
    this.password = props.password;
    this.usernames = props.usernames;
  }
}
